body {
	&.path-user {
		.header-section {
			width: 100%;
			height: 119px;
			display: flex;
			align-items: center;
			justify-content: center;
			background: url(../images/header-bg.png) no-repeat center;
			box-shadow: inset 0px 4px 4px rgba(0, 0, 0, 0.25);
			background-size: cover;
			position: relative;

			&::before {
				content: "";
				display: block;
				width: 100%;
				height: 100%;
				top: 0;
				left: 0;
				position: absolute;
				background: rgba(0, 0, 0, 0.65);
			}

			> * {
				position: relative;
				z-index: 1;
			}

			.block,
			.field {
				margin: 0;
			}

			h1, h2, h3, p {
				margin: 0;
				color: $white;
			}
		}

		nav.tabs,
		.block-system-main-block {
			max-width: 540px;
			margin-left: auto;
			margin-right: auto;
		}

		ul.primary.nav-tabs {
			display: flex;
			align-items: center;
			justify-content: center;
			flex-flow: nowrap;
			border-bottom: 1px solid $black;

			@media (max-width: 767px) {
				flex-direction: column-reverse !important;
			}

			> li {
				width: 100%;

				&.active,
				&:hover {
					position: relative;

					a {
						border: none;
					}

					&::after {
						content: "";
						display: block;
						width: 100%;
						height: 8px;
						position: absolute;
						bottom: -2px;
						left: 0;
						background: url(../images/tab-active.png) no-repeat center;
					}
				}
			}

			a {
				font-family: $mainFont;
				font-style: normal;
				font-weight: 700;
				font-size: 12px;
				line-height: 16px;
				text-align: center;
				text-transform: uppercase;
				color: $black;
				padding-bottom: 15px;
			}
		}

		div.forgot {
			text-align: center;
			font-family: $mainFont;
			font-style: normal;
			font-weight: 400;
			font-size: 16px;
			line-height: 20px;
			color: $text-color;

			p {
				margin-bottom: 2px;
			}

			a {
				text-decoration: underline;
			}
		}
	}

	&.page-user-login {
		ul.primary.nav-tabs {
			flex-direction: row-reverse;

		}
	}

	&.page-user-password {
		ul.primary.nav-tabs {
			li {

				&:last-of-type a {
					font-size: 0;

					&::before {
						content: "Reset your password";
				    font-size: 0.75rem;
					}
				}
			}
		}

		form {
			> p:not(.desc) {
				display: none;
			}

			p {
				font-family: $mainFont;
				font-style: normal;
				font-weight: 400;
				font-size: 16px;
				line-height: 16px;
				color: $darkgray-light;
				display: block;
				margin-top: 10px;
			}
		}
	}
	&[class*="path-dashboard--"] {
		.layout-builder__layout {
			@include xs-screen {
				.left-col {
					&.col-lg-8 {
						flex: 0 0 66.66667%;
						max-width: 66.66667%;
					}
				}
				.right-col {
					&.col-lg-4 {
						flex: 0 0 33.33333%;
						max-width: 33.33333%;
					}
				}
			}
			@include wd-screen {
				.left-col {
					&.col-md-8 {
						flex: 0 0 66.66667%;
						max-width: 66.66667%;
					}
				}
				.right-col {
					&.col-md-4 {
						flex: 0 0 33.33333%;
						max-width: 33.33333%;
					}
				}
			}
		}
		.image__wrapper { 
			.ugly__hack { 
				display: none; 
			} 
			img { 
				border: none; 
				box-shadow: none; 
			} 
		}
		a {
			color: $steelblue-light;
			font-weight: 400;
			:hover {
				color: $steelblue-light!important;
			}
		}
		.dashboard-content-wrapper {
			margin-top: 40px;
			h3 {
				border: 1.25px solid $coolgrey;
				border-bottom-right-radius: 4px;
				border-bottom-left-radius: 4px;
				margin: 0;
				font-size: 14px;
				line-height: 17px;
				color: black;
				text-transform: uppercase;
				background: #F6F6F6;
				position: relative;
				> a {
					color: black;
					border: none;
					position: relative;
					width: 100%;
					display: block;
					padding: 0.9rem 1em;
					text-decoration: none;
					text-transform: capitalize;
					font-weight: 700;
					font-size: 18px;
					&::after {
						width: 18px;
						height: 18px;
						display: block;
						content: "";
						position: absolute;
						right: 12px;
						background-image: url(/themes/custom/leaf_base/images/form_icons/collapse_ic.svg);
						background-size: contain;
						background-position: center;
						background-repeat: no-repeat;
						transition: all 0.3s ease-in-out;
						top: 30%;
					}
					&.collapsed {
						&::after {
							transform: rotate(180deg);
							transform-origin: center;
						}
					}
				}
				.block-private-message-notification-block {
					position: absolute;
					top: 32%;
					left: 195px;
					.private-message-notification-wrapper {
						img {
							display: none;
						}
						a {
							width: 18px;
							height: 18px;
							background-color: $steelblue-lighter-v2;
							color: $white;
							border-radius: 50%;
							line-height: 14.4px;
							font-size: 12px;
							display: flex;
							justify-content: center;
							align-items: center;
						}
					}
				}
			}
			.view-empty {
				padding-top: 20px;
				text-align: center;
				font-weight: 700;
			}
			form#views-form-my-collaborations-block-3-1 {
				input[type=checkbox] {
					opacity: unset;
					position: unset;
					margin: 0;
					border-color: $darkgrey;
					&:checked{
					  accent-color: $darkgrey;
					}
				}
				div[data-drupal-selector="edit-header"] {
					display: none;
				}
				.js-form-type-checkbox {
					label {
						display: none;
					}
				}
				div[data-drupal-selector="edit-actions"] {
					text-align: right;
					margin: 0 !important;
					padding: 0 1.25rem 0;
					.form-submit {
						background: $steelblue-light;
						padding: .6875rem 1.9375rem !important;
						&:hover {
							background-color: #246;
						}
						&:focus {
							outline-width: 1px;
							outline-offset: 2px;
							outline-style: solid;
							outline-color: #369;
						}
					}
				}
			}
			.view-id-my_collaborations.view-display-id-attachment_1 {
				padding-top: 0;
			}

			&.workflow-stamps-table,
			&.assigned-object-table {
				table {
					table-layout: fixed;
					width: 100%;
					tr th {
						&:first-child {
							width: 30%;
						}
					}
					tbody tr td {
						&:first-child {
							width: 30%;
						}
					}
				}
			}
			&.private-message-table,
			&.locked-object-settings {
				table {
					tr th {
						&:last-child {
							width: 150px;
							text-align: right;
						}
					}
					tbody tr td {
						&:last-child {
							width: 150px;
							text-align: right;
						}
					}
				}
			}
			.table-responsive {
				padding: 0px 20px 5px;
				
				table {
					thead {
						tr {
							background: transparent;
							border-bottom: 2px solid $coolgrey;

							th {
								border: none;
								text-transform: uppercase;
								font-size: 14px;
								padding-left: 0;
								padding-right: 0;
							}
						}
					}
					tbody {
						tr {
							border-bottom: 1px solid $coolgrey;
							td {
								font-size: 12px;
								line-height: 24px;
								padding-left: 0;
								padding-right: 0;
								border: none;
								vertical-align: middle;
								&.views-field.views-field-node-bulk-form {
									width: 35px;
								}
								p {
									font-size: 12px;
									color: $steelblue-light;
									margin: 0;
								}
							}
						}
					}
				}
			}
			&.my-collaboration-table {
				.table-responsive {
					padding: 0;
					table {
						margin-bottom: 0;
					}
				}
				.project-content-wrapper {
					.collapsible-main-section {
						padding: .625rem 1.25rem;
					}
					.collapsible-heading-section {
						a {
							display: flex;
							justify-content: space-between;
							.left-section {
								.sub-text {
									color: $coolgrey;
								}
							}
							.right-section {
								width: 18px;
								height: 18px;
								content: "";
								background-size: 12px;
								background-position: center;
								background-repeat: no-repeat;
								background-image: url(/themes/custom/leaf_base/images/dashboard_icons/arrow-up.svg);
							}
							&.collapsed {
								.right-section {
									background-image: url(/themes/custom/leaf_base/images/dashboard_icons/arrow-down.svg);
								}
							}
						}
					}
				}
			}
			&.my-collaboration-workspace-settings {
				.view-empty {
					text-align: left;
					font-weight: unset;
    				padding-top: 0;
					.workspace-settings {
						padding: 2rem .65rem;
					}
					.view-footer {
						padding-left: 2rem;

						.dashboard-button-arrow {
							display: unset;
						}
					}
				}
				.workspace-settings {
					display: flex;
					padding: .75rem .65rem;
					i {
						padding-top: 4px;
						font-size: 18px;
					}
					.heading-text {
						padding-left: 8px;
					}
					ul {
						list-style: none;
						padding: 0;

						a {
							font-size: 16px;
							line-height: 36px;
						}
					}
				}
				.view-footer {
					text-align: left;
					padding-left: .65rem;
				}
			}
			&.who-is-online-table {
				.dashboard-table-main {
					padding: .625rem 1.25rem;
					.view-header {
						padding: 10px 0;
						font-size: 14px;
						line-height: 24px;
					}
					.table-content {
						ul {
							list-style: none;
							padding: 0;

							a {
								font-size: 14px;
								line-height: 24px;	
							}
						}
					}
				}
			}
			&.locked-object-settings,
			&.workflow-stamps-table,
			&.assigned-object-table {
				.group-logo-title-main {
					a {
						display: flex;
						.image__wrapper {
							width: 16px;
							height: 16px;
							margin-right: 10px;
							img {
							  padding: 0;
							}
						  }
					}
				}
				.views-field-is-locked {
					vertical-align: middle;
					width: 44px;

					div {
						color: $darkgray-light;
						text-align: center;
					}
				}
			}
		}
		.view-footer {
			text-align: right;
			padding: 0 1.25rem 0;
			.left-right-button {
				display: flex;
				justify-content: space-between;
			}
			.dashboard-button-arrow {
				@extend .btn-lg-primary;
				background: $steelblue-light;
				padding: .6875rem 0 !important;
				display: block;

				:hover {
					color: $white !important;
				}
				span {
					padding: 0 14px;
				}
				&.icon-left {
					i, svg {
						padding-left: 14px;
						width: auto;
					}
				}
				&.icon-right {
					i {
						padding-right: 14px;
					}
				}
				&.secondary {
					background: $white;
					border: 1.25px solid $steelblue-dark;
					color: $steelblue;
					:hover {
					  color: $steelblue !important;
					}
					&.disabled {
						pointer-events: none;
						opacity: 0.6;
					}
				}
			}
		}
		nav.tabs { 
			max-width: unset; 
		} 
		ul.primary.nav-tabs { 
			border-bottom: 1px solid #000000; 
			align-items: flex-start; 
			justify-content: left; 
			> li { 
				margin-right: 8px; 
				width: 120px; 
				a { 
						border: none; 
						outline: none; 
						box-shadow: none; 
						font-family: "Lato", sans-serif; 
						font-style: normal; 
						font-weight: 400; 
						font-size: 12px; 
						line-height: 16px; 
						text-align: center; 
						text-transform: uppercase; 
						color: #000000; 
						padding-bottom: 15px; 
						&:hover,&:focus,&:active { 
								border: none; 
								outline: none; 
								box-shadow: none; 
						} 
				} 
				&.active, &:hover { 
					position: relative; 
					a { 
						border: none; 
						&::after { 
							content: ""; 
							display: block; 
							width: 100%; 
							height: 8px; 
							position: absolute; 
							bottom: -6px; 
							left: 0; 
							background: url(../images/tab-active.png) no-repeat center; 
							transform: rotate(180deg); 
						}
					} 
					&::after {display: none;} 
				}
			} 
		}
	}
}
// start of private message page theming
.private-message-theme {
	margin: 0;
	padding: 1.25rem;
	padding-left: 0;
	border: none;
	border-bottom: 1px solid $coolgrey;

	.field {
		display: flex;
		.field__label {
			margin: 0;
			padding-right: 8px;
			&::after {
				content: ':';
			}
		}
		.field__item {
			margin: 0;
			p {
				line-height: unset;
				margin: 0;
			}
		}
	}
}
.private-message-anchor-button {
	@extend .btn-lg-primary;
	background-color: $steelblue-light;
	padding: .6875rem 0 !important;
	display: block;
	width: 20%;
	:hover {
		color: $white !important;
		background-color: #246;
	}
}

#private-message-page {
	.private_message_thread_clear_history_link_wrapper,
	.private_message_thread_delete_link_wrapper {
		margin-bottom: 18px;
		a {
			@extend .private-message-anchor-button;
		}
	}
	.private-message-recipients {
		span {
			display: block;
			font-size: 1rem;
			line-height: 1.5rem;

			&::before {
				content: 'Participant: ';
				font-weight: 600;
				font-size: 1rem;
				margin: 0;
				padding-right: 8px;
			}
		}
	}
	.private-message-notification-wrapper.no-active-users-notice {
		margin: 20px 0;
		text-align: center;
		font-weight: 600;
	}
	.private-message-thread-messages {
		margin-top: 30px;
		.field--name-private-messages {
			> .field__label {
				border-bottom: 2px solid $coolgrey;
				padding-bottom: 12px;
				text-transform: uppercase;
			}
			.private-message {
				@extend .private-message-theme;
			}
		}
	}
}

// Private message landing page.
[class*="path-view-private-message--"] {
	.private-message {
		@extend .private-message-theme;
		border: 0;
	}
}

.path-private-message {
	.field--name-message {
		margin-top: 30px;
	}
	#thread-members-display-container .private-message-member-display-item {
		display: inline-flex;
		float: unset;
	}
	#pm-members-autocomplete-results-wrapper {
		z-index: 1;
		.ui-widget-content {
			margin: 0;
		}
	}
}

.path-private-messages {
	.form-actions {
		display: flex;

		input[data-drupal-selector="edit-submit"] {
			margin-right: 18px;
		}
		a[data-drupal-selector="edit-cancel"] {
			@extend .private-message-anchor-button;
			width: 15%;
			&:hover {
				color: $white !important;
				background-color: #246;
			}
		}
	}
}

// End of private message theming.